%define oname	LucenePlusPlus

%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		lucene++
Summary:	C++ port of the popular Java Lucene library
Version:	3.0.7
Release:	%mkrel 6
License:	LGPLv3+ and ASL2.0
Group:		Development/C++
Url:		https://github.com/luceneplusplus/LucenePlusPlus
Source0:	https://github.com/luceneplusplus/LucenePlusPlus/archive/rel_%{version}/%{oname}-%{version}.tar.gz
#From upstream:
Patch0:		LucenePlusPlus-3.0.7-boost-1.58-fix.patch
Patch1:		LucenePlusPlus-3.0.7-pkgconfig-file-fix.patch
BuildRequires:	cmake
BuildRequires:	boost-devel

%description
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

%package -n %{libname}
Summary:	C++ port of the popular Java Lucene library
Group:		System/Libraries

%description -n %{libname}
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development ifles and headers for %{name}.

%prep
%setup -qn %{oname}-rel_%{version}
%autopatch -p1

%build
%cmake
%make

%install
%makeinstall_std -C build

%files -n %{libname}
%license *.license
%doc README* AUTHORS
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{version}

%files -n %{devname}
%license *.license
%doc README* AUTHORS REQUESTS
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}*.pc
%{_libdir}/lib%{name}*.so


%changelog
* Fri Dec 25 2015 daviddavid <daviddavid> 3.0.7-6.mga6
+ Revision: 914622
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 3.0.7-5.mga6
+ Revision: 883468
- rebuild for new boost-1.59.0

* Fri Aug 28 2015 cjw <cjw> 3.0.7-4.mga6
+ Revision: 870355
- rebuild with gcc 5

* Fri Jul 31 2015 wally <wally> 3.0.7-3.mga6
+ Revision: 859912
- add patch from upstream to fix paths in pkgconfig .pc files
- use %%license for license files

* Fri Jul 31 2015 wally <wally> 3.0.7-2.mga6
+ Revision: 859867
- add patch from upstream to fix build with new boost 1.58

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Sat Jun 20 2015 wally <wally> 3.0.7-1.mga6
+ Revision: 836666
- new version 3.0.7

* Wed Oct 15 2014 umeabot <umeabot> 3.0.6-1.git20140729.3.mga5
+ Revision: 749063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.6-1.git20140729.2.mga5
+ Revision: 682041
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 wally <wally> 3.0.6-1.git20140729.1.mga5
+ Revision: 657937
- import latest git snapshot of lucene++

